package com.gic.enterprise.utils;

public class TokenUtils {
    private static ThreadLocal<String> tokenThreadLocal = new ThreadLocal<>();

    public static void set(String token){
        tokenThreadLocal.set(token);
    }

    public static String get(){
        String token = tokenThreadLocal.get();
        return token;
    }

    public static void remove(){
        tokenThreadLocal.remove();
    }
}
