package com.gic.enterprise.exception;

import com.gic.api.base.commons.ServiceResponse;
/**
 * 公共异常
 * @ClassName: CommonException 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 1:56 PM 
 */
public class CommonException extends RuntimeException{
    private String errorCode;
    public CommonException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public CommonException(ServiceResponse serviceResponse) {
        super(serviceResponse.getMessage());
        this.errorCode = serviceResponse.getCode();
    }

    public String getErrorCode() {
        return errorCode;
    }
}
